Fix potential use-after free in taskqueue_drain_all
ClosedPublic

Authored by julian on Oct 5 2016, 11:52 PM.

Details

Summary

While the thread is sleeping it is posible that the queue entry it
is looking at is removed from the queue, but we make no effort to
account for this.

Test Plan

Systems which used to hang due to this now boot

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
julian retitled this revision from to Fix potential use-after free in taskqueue_drain_all.Oct 5 2016, 11:52 PM
julian updated this object.
julian edited the test plan for this revision. (Show Details)
adrian accepted this revision.Oct 7 2016, 8:34 PM
adrian added a reviewer: adrian.
This revision is now accepted and ready to land.Oct 7 2016, 8:34 PM
op added a subscriber: op.Oct 8 2016, 12:38 PM

Please commit this patch, this fixes FreeBSD PR 209580.

This comment was removed by julian.
This revision was automatically updated to reflect the committed changes.